Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class QuerySpec

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.QuerySpec

Deprecated See BEA Commerce product offering

    @Deprecated
    public class QuerySpec

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`QuerySpec(List properties, int minimum, int maximum)` Deprecated See BEA Commerce product offering

Method Summary
`List` | `getProperties()` Deprecated See BEA Commerce product offering
`int` | `maximum()` Deprecated See BEA Commerce product offering
`int` | `minimum()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(List list)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### QuerySpec

    public QuerySpec(List properties,
                     int minimum,
                     int maximum)

  Deprecated See BEA Commerce product offering

Method Detail

### getProperties

    public List getProperties()

  Deprecated See BEA Commerce product offering

### minimum

    public int minimum()

  Deprecated See BEA Commerce product offering

### maximum

    public int maximum()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(List list)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved